# $Hg: updatekw.py,v$

from hgkw import kwexpander

def updatekw(ui=None, repo=None, hooktype='', **args):
    '''Important: returns False on success, True on failure.'''

    if not ui or not repo or hooktype != 'update':
        # bail out with error
        return True

    parent1 = repo.dirstate.parents()[0]
    node = repo.changectx(parent1)

    (modified, added, removed, deleted,
            unknown, ignored, clean) = repo.status(node1=parent1)

    candidates = modified + added + clean

    return kwexpander.expandkw(ui, repo, parent1, node, candidates)
